@font-face {
    font-family: 'MyCustomFont';
    src: url('../font/MokotoDemo.ttf') format('truetype');
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* font-family: "Poppins", sans-serif; */
    font-family: 'MyCustomFont', sans-serif !important;
    line-height: 1.5;
}

html,
body {
    overflow-x: hidden;
}

body {
    min-height: 100vh;
    background: linear-gradient(90deg, #160000, #000);
    overflow-x: hidden !important;
}

/* PRELOADER */

#preloader {
    position: fixed;
    inset: 0;
    background: #AC2121;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    transition: .8s;
}

.loader-text,
.loader-text span {
    font-family: 'MyCustomFont', sans-serif !important;
}

.loader-text {
    display: flex;
    gap: 10px;
}

.loader-text span {
    display: inline-block;
    color: #fff;
    font-size: 15vh;
    animation: jump .5s forwards;
}

.loader-text span:nth-child(1) {
    animation-delay: 0s;
}

.loader-text span:nth-child(2) {
    animation-delay: .15s;
}

.loader-text span:nth-child(3) {
    animation-delay: .30s;
}

.loader-text span:nth-child(4) {
    animation-delay: .45s;
}

.loader-text span:nth-child(5) {
    animation-delay: .60s;
}

.loader-text span:nth-child(6) {
    animation-delay: .75s;
}

.loader-text span:nth-child(7) {
    animation-delay: .90s;
}

.loader-text span:nth-child(8) {
    animation-delay: 1.05s;
}

.loader-text span:nth-child(9) {
    animation-delay: 1.20s;
}

@keyframes jump {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-25px);
    }

    100% {
        transform: translateY(0);
    }
}

/* TOP MARQUEE */

marquee {
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    padding: 10px 0;
}

/* LEFT SIDE VERTICAL TEXT */

.vertical-tagline {
    position: fixed;
    left: 20px;
    top: 0;
    height: 100vh;
    overflow: hidden;
    z-index: 100;
    pointer-events: none;
}

.vertical-tagline span {
    display: block;
    color: #fff;
    font-size: 14px;
    font-weight: 600;
    letter-spacing: 2px;
    white-space: nowrap;

    writing-mode: vertical-rl;
    transform: rotate(180deg);

    animation: moveUp 12s linear infinite;
}

@keyframes moveUp {
    from {
        transform: rotate(180deg) translateY(-100%);
    }

    to {
        transform: rotate(180deg) translateY(100%);
    }
}

/* HAMBURGER BUTTON */
.ham {
    background: linear-gradient(90deg, #000, #500404);
    padding: 20px 20px 15px 20px;
    position: fixed;
    top: 50px;
    right: 50px;
    border-radius: 50px;
    border: 2px solid #fff;
}

.hamburger {

    width: 30px;
    height: 30px;
    cursor: pointer;
    z-index: 1001;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
}

.hamburger span {
    width: 100%;
    height: 2px;
    background: #fff;
    transition: .4s;
}

.hamburger.active span:nth-child(1) {
    transform: translateY(10px) rotate(45deg);
}

.hamburger.active span:nth-child(2) {
    opacity: 0;
}

.hamburger.active span:nth-child(3) {
    transform: translateY(-10px) rotate(-45deg);
}

.typing-container {
    color: #fff;
    font-size: clamp(2rem, 5vw, 4rem);
    font-weight: 700;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    min-width: 90%;
    text-align: center;

}

.typing-text {
    color: #AC2121;
}

.cursor {
    display: inline-block;
    animation: blink .8s infinite;
}

@keyframes blink {
    50% {
        opacity: 0;
    }
}

/* BUTTON */

.game-btn {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;

    padding: 18px 40px;

    background: #0a0a0a;
    color: #fff;

    text-decoration: none;
    font-size: 16px;
    font-weight: 600;
    letter-spacing: 2px;
    text-transform: uppercase;

    border: none;
    cursor: pointer;
    overflow: hidden;

    clip-path: polygon(14px 0,
            100% 0,
            100% calc(100% - 14px),
            calc(100% - 14px) 100%,
            0 100%,
            0 14px);

    transition: .4s ease;

    box-shadow:
        0 0 10px rgba(172, 33, 33, .4),
        0 0 25px rgba(172, 33, 33, .2);
}

/* GRADIENT BORDER */

.game-btn::before {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(90deg,
            #ff4d4d,
            #AC2121,
            #ff8c8c,
            #AC2121,
            #ff4d4d);

    background-size: 300% 300%;
    animation: borderMove 4s linear infinite;

    z-index: -2;

    clip-path: inherit;
}

/* INNER BG */

.game-btn::after {
    content: "";
    position: absolute;
    inset: 2px;

    background: #0a0a0a;

    z-index: -1;

    clip-path: inherit;
}

/* SHINE EFFECT */

.game-btn .shine {
    position: absolute;
    top: 0;
    left: -120%;

    width: 60px;
    height: 100%;

    background: linear-gradient(90deg,
            transparent,
            rgba(255, 255, 255, .35),
            transparent);

    transform: skewX(-25deg);

    transition: .7s;
}

/* HOVER */

.game-btn:hover {
    transform: translateY(-4px) scale(1.03);

    box-shadow:
        0 0 20px rgba(172, 33, 33, .9),
        0 0 40px rgba(172, 33, 33, .6),
        0 0 80px rgba(172, 33, 33, .4);
}

.game-btn:hover .shine {
    left: 130%;
}

/* ACTIVE CLICK */

.game-btn:active {
    transform: scale(.98);
}

@keyframes borderMove {
    0% {
        background-position: 0% 50%;
    }

    100% {
        background-position: 300% 50%;
    }
}

@media (max-width:768px) {
    .loader-text span {
        font-size: 30px;
    }

    .vertical-tagline span {
        font-size: 16px;
    }

    .ham {
        background: linear-gradient(90deg, #000, #500404);
        padding: 10px 10px 7.5px 10px;
        position: fixed;
        top: 50px;
        right: 30px;
        border-radius: 50px;
        border: 2px solid #fff;
    }

    .hamburger {

        width: 17px;
        height: 17px;
        cursor: pointer;
        z-index: 1001;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 8px;
    }

    .typing-container {
        padding-left: 30px;
        text-align: left;
        width: 80%;
    }

    .game-btn {
        position: relative;
        display: inline-flex;
        align-items: center;
        justify-content: center;

        padding: 18px 40px;

        background: #0a0a0a;
        color: #fff;

        text-decoration: none;
        font-size: 14px;
        font-weight: 600;
        letter-spacing: 2px;
        text-transform: uppercase;

        border: none;
        cursor: pointer;
        overflow: hidden;

        clip-path: polygon(14px 0,
                100% 0,
                100% calc(100% - 14px),
                calc(100% - 14px) 100%,
                0 100%,
                0 14px);

        transition: .4s ease;

        box-shadow:
            0 0 10px rgba(172, 33, 33, .4),
            0 0 25px rgba(172, 33, 33, .2);
    }

}